clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::DeclAccessPair Class Reference

A POD class for pairing a NamedDecl* with an access specifier. More...

`#include "clang/AST/DeclAccessPair.h"`

## Public Member Functions
NamedDecl * | getDecl () const
AccessSpecifier | getAccess () const
void | setDecl (NamedDecl *D)
void | setAccess (AccessSpecifier AS)
void | set (NamedDecl *D, AccessSpecifier AS)
| operator NamedDecl * () const
NamedDecl * | operator-> () const

## Static Public Member Functions
static DeclAccessPair | make (NamedDecl *D, AccessSpecifier AS)

## Detailed Description

A POD class for pairing a NamedDecl* with an access specifier.

Can be put into unions.

Definition at line 30 of file DeclAccessPair.h.

## Member Function Documentation

## ◆ getAccess()

AccessSpecifier clang::DeclAccessPair::getAccess | ( |  | ) | const
| inline

Definition at line 45 of file DeclAccessPair.h.

Referenced by clang::Sema::CheckAddressOfMemberAccess(), clang::Sema::CheckAllocationAccess(), clang::Sema::CheckConstructorAccess(), clang::Sema::CheckMemberAccess(), checkMemberDecomposition(), clang::Sema::CheckMemberOperatorAccess(), clang::Sema::CheckStructuredBindingMemberAccess(), clang::Sema::CheckUnresolvedLookupAccess(), clang::Sema::CheckUnresolvedMemberAccess(), clang::MemberExpr::Create(), setDecl(), and clang::ASTNodeImporter::VisitMemberExpr().

## ◆ getDecl()

NamedDecl* clang::DeclAccessPair::getDecl | ( |  | ) | const
| inline

Definition at line 42 of file DeclAccessPair.h.

Referenced by clang::Sema::AddMethodCandidate(), clang::Sema::CheckConstructorAccess(), checkMemberDecomposition(), collectViableConversionCandidates(), clang::MemberExpr::Create(), IsUserDefinedConversion(), operator NamedDecl *(), operator->(), PerformConstructorInitialization(), setAccess(), clang::tooling::RecursiveSymbolVisitor< T >::VisitMemberExpr(), and clang::ASTNodeImporter::VisitMemberExpr().

## ◆ make()

static DeclAccessPair clang::DeclAccessPair::make | ( | NamedDecl * | D,
|  | AccessSpecifier | AS
| ) |  |
| inline static

Definition at line 36 of file DeclAccessPair.h.

References set().

Referenced by clang::Sema::ActOnCXXDelete(), clang::Sema::AddBuiltinCandidate(), clang::ASTUnresolvedSet::addDecl(), clang::UnresolvedSetImpl::addDecl(), clang::Sema::BuildAnonymousStructUnionMemberReference(), checkMemberDecomposition(), clang::getConstructorInfo(), clang::MemberExpr::getFoundDecl(), clang::Sema::PerformContextualImplicitConversion(), clang::Sema::ProduceConstructorSignatureHelp(), and clang::ASTNodeImporter::VisitMemberExpr().

## ◆ operator NamedDecl *()

clang::DeclAccessPair::operator NamedDecl * | ( |  | ) | const
| inline

Definition at line 59 of file DeclAccessPair.h.

References getDecl().

## ◆ operator->()

NamedDecl* clang::DeclAccessPair::operator-> | ( |  | ) | const
| inline

Definition at line 60 of file DeclAccessPair.h.

References getDecl().

## ◆ set()

void clang::DeclAccessPair::set | ( | NamedDecl * | D,
|  | AccessSpecifier | AS
| ) |  |
| inline

Definition at line 55 of file DeclAccessPair.h.

Referenced by make().

## ◆ setAccess()

void clang::DeclAccessPair::setAccess | ( | AccessSpecifier | AS | ) |
| inline

Definition at line 52 of file DeclAccessPair.h.

References getDecl().

## ◆ setDecl()

void clang::DeclAccessPair::setDecl | ( | NamedDecl * | D | ) |
| inline

Definition at line 49 of file DeclAccessPair.h.

References getAccess().

The documentation for this class was generated from the following file:

- include/clang/AST/DeclAccessPair.h